/*
 *  Copyright (C) 2009 Mayibongwe S. Nkambule <msnkambule@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor,
 *  Boston, MA 02110-1301, USA.
 */


#include <KApplication>
#include <KAboutData>
#include <KCmdLineArgs>

#include "window.h"

int main( int argc, char **argv)
{   
   
   KAboutData aboutData(
                         "konvertible",
                         0,
                         ki18n("Konvertible"),
                         "1.0.1",
                         ki18n("Converts audio files to many formats via ffmpeg"),
                         KAboutData::License_GPL,
                         ki18n("(c) 2009-2010, Mayibongwe S. Nkambule"),
                         ki18n(""),
                         "http://konvertible.sourceforge.net",
                         "nkambulems@gmail.com");
						 
	aboutData.addAuthor(
						ki18n("Mayibongwe S. Nkambule"),
						ki18n(""),
						"nkambulems@gmail.com",
						"");
	aboutData.addCredit(
						ki18n("R. Benito"),
						ki18n("Pointed out how newer ffmpeg determined codecs.")
							);							
	aboutData.addCredit(
						ki18n("Amarok Team"),
						ki18n("Tag Editor and TagLib filetype resolvers taken from Amarok.")
							);
 
	KCmdLineArgs::init( argc, argv, &aboutData );
   
	KCmdLineOptions options;
	options.add("+[URL(s)]", ki18n("Files/URLs to convert"));	
	KCmdLineArgs::addCmdLineOptions( options );
   
	KApplication app;
	CWindow *konvertible = new CWindow;
	
	QStringList files;
	KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
	
	if (args->count() > 0)
	{
		for (int i=0; i<args->count(); i++)
			files << args->arg(i);
		konvertible->setFiles(files);
	}
	konvertible->show();
      
	return app.exec();   
}
